<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Analytics Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dd4/class_analytics.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">Analytics Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a46a89e0d416c03e9a228a265b19b8813"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd4/class_analytics.html#a46a89e0d416c03e9a228a265b19b8813">PlayerDeath</a> (<a class="el" href="../../d2/d37/class_stats_event_death_data.html">StatsEventDeathData</a> data)</td></tr>
<tr class="separator:a46a89e0d416c03e9a228a265b19b8813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebe8174a433f4aeadc7048c48a441366"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd4/class_analytics.html#aebe8174a433f4aeadc7048c48a441366">PlayerScoredKill</a> (<a class="el" href="../../df/db0/class_stats_event_scored_kill_data.html">StatsEventScoredKillData</a> data)</td></tr>
<tr class="separator:aebe8174a433f4aeadc7048c48a441366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00201c21cd8a8f8ec8618ba31e6b912c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd4/class_analytics.html#a00201c21cd8a8f8ec8618ba31e6b912c">PlayerDisconnected</a> (<a class="el" href="../../da/d0e/class_stats_event_disconnected_data.html">StatsEventDisconnectedData</a> data)</td></tr>
<tr class="separator:a00201c21cd8a8f8ec8618ba31e6b912c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2525f73504a1918426042949c1576f6d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd4/class_analytics.html#a2525f73504a1918426042949c1576f6d">PlayerMeasures</a> (<a class="el" href="../../db/dff/class_stats_event_measures_data.html">StatsEventMeasuresData</a> data)</td></tr>
<tr class="separator:a2525f73504a1918426042949c1576f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b1bfe830af7408d8695e1ba110cfcf7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd4/class_analytics.html#a3b1bfe830af7408d8695e1ba110cfcf7">PlayerSpawned</a> (<a class="el" href="../../d3/d97/class_stats_event_spawned_data.html">StatsEventSpawnedData</a> data)</td></tr>
<tr class="separator:a3b1bfe830af7408d8695e1ba110cfcf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/daa/_script_analytics_8c_source.html#l00145">145</a> of file <a class="el" href="../../d8/daa/_script_analytics_8c_source.html">ScriptAnalytics.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a46a89e0d416c03e9a228a265b19b8813" name="a46a89e0d416c03e9a228a265b19b8813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46a89e0d416c03e9a228a265b19b8813">&#9670;&#160;</a></span>PlayerDeath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Analytics::PlayerDeath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d37/class_stats_event_death_data.html">StatsEventDeathData</a>&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/daa/_script_analytics_8c_source.html#l00148">148</a> of file <a class="el" href="../../d8/daa/_script_analytics_8c_source.html">ScriptAnalytics.c</a>.</p>

</div>
</div>
<a id="a00201c21cd8a8f8ec8618ba31e6b912c" name="a00201c21cd8a8f8ec8618ba31e6b912c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00201c21cd8a8f8ec8618ba31e6b912c">&#9670;&#160;</a></span>PlayerDisconnected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Analytics::PlayerDisconnected </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d0e/class_stats_event_disconnected_data.html">StatsEventDisconnectedData</a>&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/daa/_script_analytics_8c_source.html#l00170">170</a> of file <a class="el" href="../../d8/daa/_script_analytics_8c_source.html">ScriptAnalytics.c</a>.</p>

</div>
</div>
<a id="a2525f73504a1918426042949c1576f6d" name="a2525f73504a1918426042949c1576f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2525f73504a1918426042949c1576f6d">&#9670;&#160;</a></span>PlayerMeasures()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Analytics::PlayerMeasures </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/dff/class_stats_event_measures_data.html">StatsEventMeasuresData</a>&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/daa/_script_analytics_8c_source.html#l00181">181</a> of file <a class="el" href="../../d8/daa/_script_analytics_8c_source.html">ScriptAnalytics.c</a>.</p>

</div>
</div>
<a id="aebe8174a433f4aeadc7048c48a441366" name="aebe8174a433f4aeadc7048c48a441366"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebe8174a433f4aeadc7048c48a441366">&#9670;&#160;</a></span>PlayerScoredKill()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Analytics::PlayerScoredKill </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/db0/class_stats_event_scored_kill_data.html">StatsEventScoredKillData</a>&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/daa/_script_analytics_8c_source.html#l00159">159</a> of file <a class="el" href="../../d8/daa/_script_analytics_8c_source.html">ScriptAnalytics.c</a>.</p>

</div>
</div>
<a id="a3b1bfe830af7408d8695e1ba110cfcf7" name="a3b1bfe830af7408d8695e1ba110cfcf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b1bfe830af7408d8695e1ba110cfcf7">&#9670;&#160;</a></span>PlayerSpawned()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Analytics::PlayerSpawned </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d97/class_stats_event_spawned_data.html">StatsEventSpawnedData</a>&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/daa/_script_analytics_8c_source.html#l00194">194</a> of file <a class="el" href="../../d8/daa/_script_analytics_8c_source.html">ScriptAnalytics.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Analytics/<a class="el" href="../../d8/daa/_script_analytics_8c_source.html">ScriptAnalytics.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/dd4/class_analytics.html">Analytics</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
